Subject: bug#50630: [PATCH] Add tests for insert-directory

From: Michael Albinus <[email-masked]>
Date: Sat, 25 Sep 2021 13:38:18 +0200

John Cummings <[email-masked]> writes:

Hi John,

>> But this bug report has been closed as fixed, so to avoid your patch
>> being lost, can you resubmit it with `M-x submit-emacs-patch' so that it
>> gets its own bug number?
>
> I'd be glad to do that, but before I do, let me make sure we're all on
> the same page. Earlier in the discussion, it was revealed that this
> same bug is present in ls-lisp.el and tramp-sh.el, and I plan to
> submit the trivial fixes for those next. (Let me know if the recipes
> to confirm those bugs I attached earlier don't work for you.) The
> cause of, and fix for, all of them are essentially the same, just
> located in 3 different places. Would you prefer to have a bug number
> for each of the places where it occurs, or to reopen this one (if
> that's something that's done) to hold all the fixes for essentially
> the same bug, as well as for the regression tests linked to those
> fixes?

For Tramp (I'm the maintainer) I don't care whether it is a separate bug
number, or not. If you want to add/extend a regression test for the
Tramp case, you might check whether tramp-test17-insert-directory in
test/lisp/net/tramp-tests.el is a proper place.

Best regards, Michael.